Package org.apache.tools.ant.taskdefs.optional.junit

## Class OutErrSummaryJUnitResultFormatter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter
  - - org.apache.tools.ant.taskdefs.optional.junit.OutErrSummaryJUnitResultFormatter

All Implemented Interfaces:
  `junit.framework.TestListener`, `JUnitResultFormatter`, `JUnitTaskMirror.JUnitResultFormatterMirror`, `JUnitTaskMirror.SummaryJUnitResultFormatterMirror`

    public class OutErrSummaryJUnitResultFormatter
    extends SummaryJUnitResultFormatter

Used instead of SummaryJUnitResultFormatter in forked tests if withOutAndErr is requested.

### Constructor Summary

Constructors
`OutErrSummaryJUnitResultFormatter()` Empty

### Method Summary

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.SummaryJUnitResultFormatter

`addError, addFailure, addFailure, endTest, endTestSuite, setOutput, setSystemError, setSystemOutput, setWithOutAndErr, startTest, startTestSuite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutErrSummaryJUnitResultFormatter

    public OutErrSummaryJUnitResultFormatter()

Empty